Loading...
Searching...
No Matches
Opm::RegulaFalsiBisection< ErrorPolicy > Class Template Reference

## Static Public Member Functions

static std::string | name ()
template<class Functor>
static double | solve (const Functor &f, const double a, const double b, const int max_iter, const double tolerance, int &iterations_used)
| Implements a modified regula falsi method as described in "Improved algorithms of Illinois-type for the numerical solution of nonlinear equations" by J.

## Member Function Documentation

## solve()

template<class ErrorPolicy = ThrowOnError>
template<class Functor>

double Opm::RegulaFalsiBisection< ErrorPolicy >::solve | ( | const Functor & | f,
|  | const double | a,
|  | const double | b,
|  | const int | max_iter,
|  | const double | tolerance,
|  | int & | iterations_used )

inline static

Implements a modified regula falsi method as described in "Improved algorithms of Illinois-type for the numerical solution of nonlinear equations" by J.

A. Ford. Current variant is the 'Pegasus' method. Combines this method with the bisection method, inspired by http://phillipmfeldman.org/Python/roots/find_roots.html

The documentation for this class was generated from the following file:

- opm/common/utility/numeric/RootFinders.hpp